<?php
$dirname = dirname(__file__);
$position = strrpos($dirname, 'wp-content');
$document_root = isset($_SERVER['DOCUMENT_ROOT']) ? $_SERVER['DOCUMENT_ROOT'] : '';
$wp_path = $position !== false ? substr($dirname, 0, $position) : rtrim($document_root, '/') . '/';

define('WP_USE_THEMES', false);

include_once $wp_path . 'wp-load.php';

remove_all_actions('wp_enqueue_scripts');
remove_all_actions('wp_footer');
remove_all_actions('wp_head');
remove_all_actions('wp_print_scripts');
remove_all_actions('wp_print_styles');

$jb_gallery_added_nonce = isset($_POST['jb_gallery_added_nonce']) ? $_POST['jb_gallery_added_nonce'] : '';
if (!wp_verify_nonce($jb_gallery_added_nonce, 'jb_gallery_added')) {
?>
    <!DOCTYPE html>
    <html <?php language_attributes(); ?>>
        <head>
            <title>WP-Juicebox</title>
        </head>
        <body>
            <div><p>Remote submission prohibited.</p></div>
        </body>
    </html>
<?php
    exit();
}

echo $Juicebox->save_gallery($_POST);
?>
